/////////////////////////////////////////////////////////////////////////////
// Name:        mydblist.cpp (generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/18/01 14:38:35
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
/////////////////////////////////////////////////////////////////////////////

// %%INFO-{
// { TEMPL = "wxDbListCtrl for C++ (requires WSPP)" WND_RES = "" MENU_RES = "" DECL_FILE = "mydblist.h" CLASS = "MyDbList" RES_FILE = "demo.xrc" }
// %%INFO-}

#ifdef __GNUG__
    #pragma implementation "mydblist.cpp"
    #pragma interface "mydblist.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "mydblist.h"
#include "wx/xml/xmlres.h"
#include "wx/wspp/init.h"



/***** Implementation for class MyDbList *****/

IMPLEMENT_DYNAMIC_CLASS( MyDbList, wxDbListCtrl )

BEGIN_EVENT_TABLE( MyDbList, wxDbListCtrl )

// %%EVT_TBL-{
	EVT_INIT_DIALOG( MyDbList::OnInitDialog )
	EVT_RIGHT_DOWN( MyDbList::OnRightDown )
// %%EVT_TBL-}

END_EVENT_TABLE()

MyDbList::MyDbList()
                         
	: wxDbListCtrl()
{
}

MyDbList::~MyDbList()
{
}

// %%EVT_IMPS-{

void MyDbList::OnInitDialog( wxInitDialogEvent& event )
{
}

void MyDbList::OnRightDown( wxMouseEvent& event )
{
	wxMessageBox( "MyDbList::OnRightDown" );
}
// %%EVT_IMPS-}

// %%GETTER_IMPLS-{
// %%GETTER_IMPLS-}

// %%SETTER_IMPLS-{
// %%SETTER_IMPLS-}

/*** protected members ***/

void MyDbList::DoInit()
{
	// %%MEMBER_INITS-{
	// %%MEMBER_INITS-}

	// %%CTL_MEMBER_INITS-{
	// %%CTL_MEMBER_INITS-}
	
	ExchangeValues( TRUE );	
}

void MyDbList::ExchangeValues( bool toControls )
{
	if ( toControls )
	{
	// %%MEMBER_VALUES_TO_CTL-{
	// %%MEMBER_VALUES_TO_CTL-}
	}
	else
	{
	// %%CTL_VALUES_TO_MEMBER-{
	// %%CTL_VALUES_TO_MEMBER-}
	}
}

